Rudiments

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
codetreegrammar Class Reference

Inherits xmldom.

## Public Member Functions
| codetreegrammar ()
| ~codetreegrammar ()
Public Member Functions inherited from xmldom
| xmldom ()
| xmldom (bool stringcacheenabled)
virtual | ~xmldom ()
bool | parseFile (const char *filename)
bool | parseString (const char *string)
xmldomnode * | getRootNode () const
xmldomnode * | getNullNode () const
void | createRootNode ()
bool | writeFile (const char *filename, mode_t perms) const
bool | stringCacheEnabled ()
Public Member Functions inherited from xmlsax
| xmlsax ()
virtual | ~xmlsax ()
const char * | getError ()

## Friends
class | codetree

## Additional Inherited Members
Protected Member Functions inherited from xmlsax
virtual bool | tagStart (const char *ns, const char *name)
virtual bool | attributeName (const char *name)
virtual bool | attributeValue (const char *value)
virtual bool | text (const char *string)
virtual bool | tagEnd (const char *ns, const char *name)
virtual bool | comment (const char *string)
virtual bool | cdata (const char *string)

## Detailed Description

A child class of xmldom with various codetree-specific optimizations.

## Constructor & Destructor Documentation

codetreegrammar::codetreegrammar | ( |  | ) |

Creates a new instance of the codetreegrammar class.

codetreegrammar::~codetreegrammar | ( |  | ) |

Deletes this instance of the codetreegrammar class.